# Table of contents

* [Introduction](README.md)
* [Quickstart](quickstart.md)
* [Getting Started](getting-started/README.md)
  * [Install Feast](getting-started/install-feast/README.md)
    * [Kubernetes \(with Helm\)](getting-started/install-feast/kubernetes-with-helm.md)
    * [Amazon EKS \(with Terraform\)](getting-started/install-feast/kubernetes-amazon-eks-with-terraform.md)
    * [Azure AKS \(with Terraform\)](getting-started/install-feast/kubernetes-azure-aks-with-terraform.md)
    * [Google Cloud GKE \(with Terraform\)](getting-started/install-feast/google-cloud-gke-with-terraform.md)
  * [Connect to Feast](getting-started/connect-to-feast/README.md)
    * [Python SDK](getting-started/connect-to-feast/python-sdk.md)
    * [Feast CLI](getting-started/connect-to-feast/feast-cli.md)
  * [Learn Feast](getting-started/learn-feast.md)
* [Roadmap](roadmap.md)
* [Changelog](https://github.com/feast-dev/feast/blob/master/CHANGELOG.md)
* [Community](community.md)

## Concepts

* [Overview](concepts/overview.md)
* [Architecture](concepts/architecture.md)
* [Entities](concepts/entities.md)
* [Sources](concepts/sources.md)
* [Feature Tables](concepts/feature-tables.md)
* [Stores](concepts/stores.md)
* [Glossary](concepts/glossary.md)

## User Guide

* [Overview](user-guide/overview.md)
* [Define and ingest features](user-guide/define-and-ingest-features.md)
* [Getting training features](user-guide/getting-training-features.md)
* [Getting online features](user-guide/getting-online-features.md)

## Tutorials

* [Minimal Ride Hailing Example](https://github.com/feast-dev/feast/blob/master/examples/minimal/minimal_ride_hailing.ipynb)

## Advanced

* [Upgrading Feast](advanced/upgrading.md)
* [Security](advanced/security.md)
* [Audit Logging](advanced/audit-logging.md)
* [Metrics](advanced/metrics.md)
* [Telemetry](advanced/telemetry.md)
* [Troubleshooting](advanced/troubleshooting.md)

## Reference

* [API Reference](reference/api/README.md)
  * [Go SDK](https://godoc.org/github.com/feast-dev/feast/sdk/go)
  * [Java SDK](https://javadoc.io/doc/dev.feast/feast-sdk)
  * [Core gRPC API](https://api.docs.feast.dev/grpc/feast.core.pb.html)
  * [Python SDK](https://api.docs.feast.dev/python/)
  * [Serving gRPC API](https://api.docs.feast.dev/grpc/feast.serving.pb.html)
  * [gRPC Types](https://api.docs.feast.dev/grpc/feast.types.pb.html)
* [Configuration Reference](reference/configuration-reference.md)
* [Feast and Spark](reference/feast-and-spark.md)
* [Metrics Reference](reference/metrics-reference.md)
* [Limitations](reference/limitations.md)

## Contributing

* [Contribution Process](contributing/contributing.md)
* [Development Guide](contributing/development-guide.md)
* [Release Process](contributing/release-process.md)

